Index: apps/app_exec.c
===================================================================
--- apps/app_exec.c     (revision 93152)
+++ apps/app_exec.c     (arbetskopia)
@@ -77,7 +77,7 @@
 static char *app_execif = "ExecIf";
 static char *execif_synopsis = "Executes dialplan application, conditionally";
 static char *execif_descrip =
-"  ExecIF (<expr>?<app>(<data>):<app2>(<data2>))\n"
+"  ExecIF (<expr>?<appiftrue>(<data>)[:<appiffalse>(<data2>)])\n"
 "If <expr> is true, execute and return the result of <app>(<data>).\n"
 "If <expr> is true, but <app> is not found, then the application\n"
 "will return a non-zero value.\n";
@@ -162,7 +162,7 @@

        AST_NONSTANDARD_APP_ARGS(expr, parse, '?');
        if (ast_strlen_zero(expr.remainder)) {
-               ast_log(LOG_ERROR, "Usage: ExecIf(<cond>?<appiftrue>(<args>):<appiffalse>(<args))\n");
+               ast_log(LOG_ERROR, "Usage: ExecIf(<cond>?<appiftrue>(<args>)[:<appiffalse>(<args)])\n");
                return -1;
        }

@@ -187,8 +187,8 @@
                        ast_log(LOG_WARNING, "Could not find application! (%s)\n", apps.t);
                        res = -1;
                }
-       } else {
-               if (!ast_strlen_zero(apps.f) && (app = pbx_findapp(apps.f))) {
+       } else if (!ast_strlen_zero(apps.f)) {
+               if ((app = pbx_findapp(apps.f))) {
                        res = pbx_exec(chan, app, S_OR(falsedata, ""));
                } else {
                        ast_log(LOG_WARNING, "Could not find application! (%s)\n", apps.f);
